Get history
curl --request GET \
--url https://api.modem.dev/v1/topics/{topicId}/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.modem.dev/v1/topics/{topicId}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.modem.dev/v1/topics/{topicId}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actions": [
{
"createdByUser": {
"id": "<string>",
"image": "<string>",
"name": "<string>"
},
"externalLink": {
"authorLogin": "<string>",
"draft": true,
"linkType": "<unknown>",
"merged": true,
"number": 123,
"title": "<string>",
"url": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"note": "<string>",
"actionAt": "2023-11-07T05:31:56Z",
"metadata": "<unknown>"
}
],
"history": [
{
"changes": {},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"previousValues": {},
"user": {
"id": "<string>",
"image": "<string>",
"name": "<string>"
},
"changedAt": "2023-11-07T05:31:56Z"
}
],
"mergedInto": {
"id": "<string>",
"targetTopic": {
"id": "<string>",
"title": "<string>"
},
"user": {
"id": "<string>",
"image": "<string>",
"name": "<string>"
},
"mergedAt": "2023-11-07T05:31:56Z"
},
"merges": [
{
"id": "<string>",
"sourceTopics": [
{
"id": "<string>",
"title": "<string>"
}
],
"user": {
"id": "<string>",
"image": "<string>",
"name": "<string>"
},
"mergedAt": "2023-11-07T05:31:56Z"
}
],
"totalCount": 123
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}Topics
Get history
Get change history for a topic. Returns audit trail of modifications with user attribution.
GET
/
topics
/
{topicId}
/
history
Get history
Authorizations
Organization API key (modem_…).
Path Parameters
Query Parameters
Filter by actor type. Defaults to user and agent changes (excludes system).
Actor type that initiated the change: system (internal/cascading), agent (AI), or user (manual).
Available options:
agent, system, user Maximum number of history records to return (default 20, max 50).
Required range:
x <= 50Was this page helpful?
⌘I